# Uses of Interface
org.codehaus.plexus.util.cli.CommandLineCallable

Packages that use CommandLineCallable
Package
Description
org.codehaus.plexus.util.cli
Command-line utilities.

## Uses of CommandLineCallable in org.codehaus.plexus.util.cli

Methods in org.codehaus.plexus.util.cli that return CommandLineCallable
Modifier and Type
Method
Description
`static CommandLineCallable`
CommandLineUtils.`executeCommandLineAsCallable(Commandline cl, InputStream systemIn, StreamConsumer systemOut, StreamConsumer systemErr, int timeoutInSeconds)`
Immediately forks a process, returns a callable that will block until process is complete.